GET /commerce/{accountId}/stores

Returns the list of stores. A store represents a unique ordering experience from a specific location.

Path parameters

  • accountId string Required

    Default value is empty.

Query parameters

  • page integer(int32)

    Page to be returned

    Default value is 1.

  • size integer(int32)

    Number of stores to be returned per page - Max: 100

    Default value is 50.

  • latitude number(float)

    Reference latitude coordinate to calculate store distance

    Default value is 30.4515.

  • longitude number(float)

    Reference longitude coordinate to calculate store distance

    Default value is -91.1871.

  • sort string

    Default value is distance.

  • fulfillmentType string

    Fulfillment type(s) available on the channelLink. e.g: delivery,eatIn

Responses

  • 200 application/json

    200

  • 400 application/json

    400

GET /commerce/{accountId}/stores
curl \
 --request GET 'https://api.staging.deliverect.com/commerce/{accountId}/stores' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "page": 1,
  "size": 50,
  "items": [
    {
      "id": "65eee6a9984a1bc1b9637c59",
      "name": "Store Name",
      "status": "open",
      "address": {
        "city": "Ghent",
        "source": "1 Main street D13 R2P6 Ghent VOV",
        "country": "BE",
        "coordinates": [
          3.73398891371018,
          51.0311233802278
        ],
        "stateOrProvince": "VOV"
      },
      "contact": {
        "email": "john.doe@acme.com",
        "lastName": "Doe",
        "firstName": "John",
        "phoneNumber": "+32411111111"
      },
      "currency": "EUR",
      "distance": 1235,
      "openingHours": {
        "timezone": "Europe/Brussels",
        "dayTimeRanges": [
          {
            "endTime": "23:59:00",
            "dayOfWeek": 1,
            "startTime": "00:00:00"
          },
          {
            "endTime": "23:59:00",
            "dayOfWeek": 2,
            "startTime": "00:00:00"
          },
          {
            "endTime": "23:59:00",
            "dayOfWeek": 3,
            "startTime": "00:00:00"
          },
          {
            "endTime": "23:59:00",
            "dayOfWeek": 4,
            "startTime": "00:00:00"
          },
          {
            "endTime": "23:59:00",
            "dayOfWeek": 5,
            "startTime": "00:00:00"
          },
          {
            "endTime": "23:59:00",
            "dayOfWeek": 6,
            "startTime": "00:00:00"
          },
          {
            "endTime": "23:59:00",
            "dayOfWeek": 7,
            "startTime": "00:00:00"
          }
        ]
      },
      "taxExclusive": false,
      "channelLinkId": "65eee6a9984a1bc1b9637c59",
      "fulfillmentTypes": [
        "pickup",
        "delivery",
        "eatIn"
      ]
    }
  ],
  "total": 1
}
Response examples (400)
{}